#!/bin/sh

cd "/home/wsd/Freenet"
POSSIBLE_NAMES="chrome iceweasel firefox mozilla mozilla-firefox"

if test $# -lt 1
then
	URL="http://127.0.0.1:8888"
else
	URL="$1"
fi

# Wait until the installer has finished
while test ! -f Uninstaller/install.log
do
	sleep 1
done

startFreenet() {
	./run.sh start
	sleep 5
}

PID=
if test -e Freenet.pid
then
	PID=`cat Freenet.pid`
	# This might still fail in the real-world but should cover most cases
	if ! kill -0 $PID 2>/dev/null
	then
		startFreenet
	fi
else
	startFreenet
fi

# The excute command of firefox in KylinV10 is /usr/bin/firefox-esr.
# Create the link /usr/bin/firefox
if [ ! -e /usr/bin/firefox ]
then
	if [ ! -e /usr/bin/firefox-esr ]
	then
		echo -e "Lack of dependencies:firefox.\nPlease run "sudo yum install firefox.""
	else
		sudo ln -s /usr/bin/firefox-esr /usr/bin/firefox
	fi
else
	echo "Starting /usr/bin/firefox"
fi


java -Djava.net.preferIPv4Stack=true -cp bin/browser.jar BareBonesBrowserLaunch "$URL" &
